<div class="control-panel">
    <!-- <button (click)="search()" [style.background-color]="activeToolName=='search' ? 'blue' : 'initial'" [style.color]="activeToolName=='search' ? 'white' : 'initial'" title="Search"><i class="fas fa-search"></i></button> -->
    <button (click)="zoomIn()" title="Zoom In"><i class="fas fa-search-plus"></i></button>
    <button (click)="zoomOut()" title="Zoom Out"><i class="fas fa-search-minus"></i></button>
    <button (click)="showTooltip()" [style.background-color]="activeToolName=='tooltip' ? 'blue' : 'initial'" [style.color]="activeToolName=='tooltip' ? 'white' : 'initial'" title="Show Tooltip"><i class="fas fa-info-circle"></i></button>
    <button (click)="panGraph()" [style.background-color]="activeToolName=='panEnable' ? 'blue' : 'initial'" [style.color]="activeToolName=='panEnable' ? 'white' : 'initial'" title="Pan Graph"><i class="fas fa-arrows-alt"></i></button>
    <button (click)="selectNode()" [style.background-color]="activeToolName=='selectNode' ? 'blue' : 'initial'" [style.color]="activeToolName=='selectNode' ? 'white' : 'initial'" title="Select Node"><i class="fas fa-mouse-pointer"></i></button>
    <button (click)="refreshGraph()" title="Refresh Graph"><i class="fas fa-sync"></i></button>
    <button (click)="toggleCallbackMode('exploration')" [style.background-color]="activeToolName == 'exploration' ? 'blue' : 'initial'" [style.color]="activeToolName == 'exploration' ? 'white' : 'initial'" title="Toggle Callback Mode exploration"><i class="fas fa-bomb"></i></button>
    <button (click)="toggleCallbackMode('editing')" [style.background-color]="activeToolName == 'editing' ? 'blue' : 'initial'" [style.color]="activeToolName == 'editing' ? 'white' : 'initial'" title="Toggle Callback Mode editing"><i class="fas fa-user-edit"></i></button>
    <button (click)="snapMode()" [style.background-color]="activeToolName=='snapMode' ? 'blue' : 'initial'" [style.color]="activeToolName=='snapMode' ? 'white' : 'initial'" title="Snapping Node"><i class="fas fa-hand-sparkles"></i></button>
    <!-- <button (click)="orthogonalMode()" [style.background-color]="activeToolName=='orthogonalMode' ? 'blue' : 'initial'" [style.color]="activeToolName=='orthogonalMode' ? 'white' : 'initial'" title="Orthogonal Mode"><i class="fas fa-vector-square"></i></button> -->
    <button (click)="triggerArrowAnimation()" [style.background-color]="activeToolName === 'arrowAnimation' ? 'blue' : 'initial'" [style.color]="activeToolName === 'arrowAnimation' ? 'white' : 'initial'" title="Arrow Animation"><i class="fas fa-radiation-alt"></i></button>    
    <button (click)="triggerDynamic()" [style.background-color]="activeToolName=='dynamic' ? 'blue' : 'initial'" [style.color]="activeToolName=='dynamic' ? 'white' : 'initial'" title="Dynamic visulization"><i class="fas fa-wave-square"></i></button>
    <button (click)="shortagePathEnabled()" [style.background-color]="activeToolName=='shortagePath' ? 'blue' : 'initial'" [style.color]="activeToolName=='shortagePath' ? 'white' : 'initial'" title="Shortage Path">
        <svg class="svg-icon" style="width: 1em; height: 1em;vertical-align: middle;fill: currentColor;overflow: hidden;" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg"><path d="M832 640h-192c-35.2 0-64-28.8-64-64s28.8-64 64-64h192s192-214 192-320-86-192-192-192-192 86-192 192c0 51 44.4 126.8 90.6 192H640c-105.8 0-192 86.2-192 192s86.2 192 192 192h192c35.2 0 64 28.8 64 64s-28.8 64-64 64H371c-32 49.6-67.6 95.4-94.6 128H832c105.8 0 192-86.2 192-192s-86.2-192-192-192z m0-512c35.4 0 64 28.6 64 64s-28.6 64-64 64-64-28.6-64-64 28.6-64 64-64zM192 512c-106 0-192 86-192 192s192 320 192 320 192-214 192-320-86-192-192-192z m0 256c-35.4 0-64-28.6-64-64s28.6-64 64-64 64 28.6 64 64-28.6 64-64 64z"  /></svg>    </button>
    <button (click)="toggleTextBoxMode()" [style.background-color]="activeToolName=='textBoxMode' ? 'blue' : 'initial'" [style.color]="activeToolName=='textBoxMode' ? 'white' : 'initial'" title="Toggle Text Box Mode"><i class="fas fa-edit"></i></button>
    <!--<button (click)="uploadFile()" title="Upload File"><i class="fas fa-file-upload"></i></button> -->
</div>
